Bug 1114540 - (CVE-2014-3535) CVE-2014-3535 Kernel: netdevice.h: NULL pointer dereference over VxLAN
CVE-2014-3535 Kernel: netdevice.h: NULL pointer dereference over VxLAN
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20140909,repo...
: Security
Depends On: 1096351 1114549
Blocks: 1114487
  Show dependency treegraph
 
Reported: 2014-06-30 06:01 EDT by Prasad J Pandit
Modified: 2016-02-10 03:04 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the way the Linux kernel's networking implementation handled logging while processing certain invalid packets coming in via a VxLAN interface. A remote attacker could use this flaw to crash the system by sending a specially crafted packet to such an interface.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:04:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1167 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-09-09 17:55:48 EDT
Red Hat Product Errata RHSA-2014:1168 normal SHIPPED_LIVE Important: rhev-hypervisor6 security and bug fix update 2014-09-09 19:06:34 EDT

  None (edit)
Description Prasad J Pandit 2014-06-30 06:01:51 EDT
Linux kernel built with the networking suppport(CONFIG_NET) is vulnerable to
a NULL pointer dereference flaw. It could occur while processing packets over
VxLAN interface of a virtual network.

An unprivileged user/process could use this flaw to crash the system kernel
resulting in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/256df2f3879efdb2e9808bdb1b54b16fbb11fa38
Comment 1 Prasad J Pandit 2014-06-30 06:40:25 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 7 and Red Hat Enterprise MRG 2.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 6. Future kernel updates for Red Hat Enterprise Linux 6
may address this issue.
Comment 5 Martin Prpič 2014-09-05 07:59:05 EDT
IssueDescription:

A NULL pointer dereference flaw was found in the way the Linux kernel's networking implementation handled logging while processing certain invalid packets coming in via a VxLAN interface. A remote attacker could use this flaw to crash the system by sending a specially crafted packet to such an interface.
Comment 6 errata-xmlrpc 2014-09-09 13:57:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1167 https://rhn.redhat.com/errata/RHSA-2014-1167.html
Comment 7 errata-xmlrpc 2014-09-09 15:06:53 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:1168 https://rhn.redhat.com/errata/RHSA-2014-1168.html

Note You need to log in before you can comment on or make changes to this bug.